#pragma once

#include "CoreMinimal.h"
#include "SourceBasedOutlineUpdateStrategy.h"
#include "ScoutDestroyedPalletOutlineStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class CALAMARI_API UScoutDestroyedPalletOutlineStrategy : public USourceBasedOutlineUpdateStrategy
{
	GENERATED_BODY()

public:
	UScoutDestroyedPalletOutlineStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UScoutDestroyedPalletOutlineStrategy) { return 0; }
